﻿@model AEWeb.ViewModels.Dashboard.DashboardViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Create a dashboard";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">

    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title">
                    
                    <a asp-action="Index">@Localizer["BackToList"]</a>
                </div>
                <div class="ibox-content">
                    <div class="container-fluid">
                        <div class="row">
                            <form asp-action="Save" method="post" class="col-md-5">
                                <input type="hidden" asp-for="DashboardId" />
                                @*<div asp-validation-summary="ModelOnly" class="text-danger"></div>*@
                                <div class="form-group">
                                    <label asp-for="Name" class="control-label"></label>
                                    <input asp-for="Name" class="form-control" />
                                    <span asp-validation-for="Name" class="text-danger" ></span>
                                </div>
                                <div class="form-group">
                                    <label asp-for="Type" class="control-label"></label>
                                    <select asp-for="Type" class="form-control">
                                        <option value="">@Localizer["SelectAType"]</option>
                                        <option value="Strategic">@Localizer["StrategicType"]</option>
                                        <option value="Operational">@Localizer["OperationalType"]</option>
                                        <option value="Tactical">@Localizer["TacticalType"]</option>
                                    </select>
                                    <span asp-validation-for="Type" class="text-danger"></span>
                                </div>
                                <div class="form-group">
                                    <label asp-for="Status" class="control-label"></label>
                                    <select asp-for="Status" class="form-control">
                                        <option value="">@Localizer["SelectAStatus"]</option>
                                        <option value="DRAFT">@Localizer["DraftStatus"]</option>
                                        <option value="PUBLISHED">@Localizer["PublishedStatus"]</option>
                                        <option value="HIDDEN">@Localizer["HiddenStatus"]</option>
                                    </select>
                                    <span asp-validation-for="Status" class="text-danger"></span>
                                </div>
                                <div class="form-group">
                                    <input type="submit" value="Create" class="btn btn-primary" />
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {

    <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
    <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
}